The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> vfscanf, vscanf, vsscanf - format input of a stdarg argument list

#### SYNOPSIS

> ``#include <stdarg.h>
> #include <stdio.h>
> int vfscanf(FILE *restrict` stream`, const char *restrict` format`,
> va_list` arg`);
> int vscanf(const char *restrict` format`, va_list` arg`);
> int vsscanf(const char *restrict` s`, const char *restrict` format`,
> va_list` arg`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> The vscanf(), vfscanf(), and vsscanf() functions shall be equivalent to the scanf(), fscanf(), and sscanf() functions, respectively, except that instead of being called with a variable number of arguments, they are called with an argument list as defined in the <stdarg.h> header. These functions shall not invoke the va_end macro. As these functions invoke the va_arg macro, the value of ap after the return is unspecified.

#### RETURN VALUE

> Refer to fscanf().

#### ERRORS

> Refer to fscanf().

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> Applications using these functions should call va_end( ap) afterwards to clean up.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fscanf(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdarg.h>, <stdio.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]